Package net.shibboleth.idp.attribute.resolver.spring.impl

# Class AttributeResolverParser

java.lang.Object
net.shibboleth.idp.attribute.resolver.spring.impl.AttributeResolverParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class AttributeResolverParser extends Object implements BeanDefinitionParser
Bean definition parser for an `AttributeResolver`.

There is no bean being summoned up here. Rather we just parse all the children. Then over in the service all the `AttributeDefinition` and `DataConnector` beans are sucked out of Spring by type and injected into a new `AttributeResolverImpl` via a `AttributeResolverServiceStrategy`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`ELEMENT_NAME`
Element name.
`static final QName`
`SCHEMA_TYPE`
Schema type.

## Constructor Summary

Constructors
Constructor
Description
`AttributeResolverParser()`

## Method Summary

Modifier and Type
Method
Description
`BeanDefinition`
`parse(Element config, ParserContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ELEMENT_NAME

@Nonnull public static final QName ELEMENT_NAME
Element name.

### SCHEMA_TYPE

@Nonnull public static final QName SCHEMA_TYPE
Schema type.

## Constructor Details

### AttributeResolverParser

public AttributeResolverParser()

## Method Details

### parse

@Nullable public BeanDefinition parse(@Nonnull Element config, @Nonnull ParserContext context)

Specified by:
  `parse` in interface `BeanDefinitionParser`